Bug 6024 - Run a Report immediately after creating or editing
Summary: Run a Report immediately after creating or editing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-31 20:18 UTC by Shelley
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (3.14 KB, patch)
2011-04-01 03:17 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
patch (751 bytes, patch)
2011-04-07 03:50 UTC, Srdjan Jankovic
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Shelley 2011-03-31 20:18:04 UTC
Work To Be Done: 
* add link to the "Your report has been saved" output (after report creation) labelled "Run This Report Now" which runs the report
Comment 1 Srdjan Jankovic 2011-04-01 03:17:39 UTC
Created attachment 3599 [details] [review]
patch
Comment 2 Srdjan Jankovic 2011-04-07 03:50:56 UTC
Created attachment 3766 [details] [review]
patch
Comment 3 Chris Cormack 2011-04-07 03:52:57 UTC
Both patches awaiting signoff
Comment 4 Sophie MEYNIEUX 2011-04-07 08:32:07 UTC
I have created a new SQL report and saved it. Then it proposes me to Run the report, Go to saved report, Scheduler Tool and Guided reports. I have choosen Run this report and got the results page.
Comment 5 Chris Cormack 2011-04-08 01:34:22 UTC
Pushed, please test
Comment 6 Katrin Fischer 2011-08-05 19:15:42 UTC
Works beautifully. Marking fixed.